package com.fjhx.service.quality;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.quality.QualityInfo;
import com.fjhx.params.quality.*;

import java.util.List;

/**
 * <p>
 * 质检 服务类
 * </p>
 *
 * @author ${author}
 * @since 2023-02-13
 */
public interface QualityInfoService extends BaseService<QualityInfo> {

    Page<QualityInfoPageVo> getPage(QualityInfoPageDto dto);

    void add(QualityInfoVo qualityInfoVo);

    void edit(QualityInfoVo qualityInfoVo);

    void delete(QualityInfoVo qualityInfoVo);

    List<QualityDetailsVo> getDetailsList(GetDetailsListDto dto);

}
